Skip to main content
`Ctrl`+`K`

# networkx.classes.coreviews.UnionMultiAdjacency

class UnionMultiAdjacency(succ, pred)

  A read-only union of two dict MultiAdjacencies.

  The two input dict-of-dict-of-dict-of-dicts represent the union of `G.succ` and `G.pred` for MultiDiGraphs. Return values are UnionAdjacency. The inner level of dict is read-write. But the outer levels are read-only.

  See also

  `UnionAtlas`

    View into dict-of-dict

  `UnionMultiInner`

    View into dict-of-dict-of-dict

  __init__(succ, pred)

  Methods

  `copy`() |
  `get`(k[,d]) |
  `items`() |
  `keys`() |
  `values`() |